#!/bin/bash
# -*- coding: utf-8 mode: sh -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8

scriptdir="$(cd "$(dirname "$0")"; pwd)"

webpy="${1:-$scriptdir/web.py-0.33/web}"
if [ -d "$webpy" ]; then
    webpy="$(cd "$webpy"; pwd)"
    webpy="${webpy#$scriptdir/}"
else
    echo "$webpy: repertoire introuvable"
fi

cd "$scriptdir"
diff -ur -x .svn -x "*.pyc" "$webpy" "../src/ulib/ext/web"
